#ifdef GL_ES
precision mediump float;
#endif

varying vec2 v_texCoord;
varying vec2 v_alphaCoord;
varying vec4 v_fragmentColor;
//uniform sampler2D CC_Texture0;
uniform vec4 COX_ADDCOLOR;
uniform vec4 COX_MULCOLOR;

void main(void)
{
    vec4 v4Colour = texture2D(CC_Texture0, v_texCoord);
    v4Colour.a = texture2D(CC_Texture0, v_alphaCoord).r * v_fragmentColor.a;
    //v4Colour.rgb = v4Colour.rgb * v4Colour.a;
    float c = 0.2989 * v4Colour.r + 0.5870 * v4Colour.g + 0.1140 * v4Colour.b;
    v4Colour.r = c;
    v4Colour.g = c;
    v4Colour.b = c;
    gl_FragColor = v4Colour;
}

