#ifdef GL_ES
precision lowp float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
//uniform sampler2D CC_Texture0;
uniform vec4 COX_ADDCOLOR;

void main()
{
    vec4 texColor = texture2D(CC_Texture0, v_texCoord);
    if(texColor.r > 0.5) // no alpha
    {
        texColor.r = (texColor.r - 0.5) * 2.0;
    }
    else // with alpha
    {
        //alpha3.r = floor(texColor.r * 4.0);
        //alpha3.g = floor(texColor.g * 4.0);
        //alpha3.b = floor(texColor.b * 4.0);
        vec3 alpha3 = floor(texColor.rgb * 4.0);
        //texColor.a = ga / 4.0 + ba / 16.0 + ra / 64.0;
        texColor.a = dot(alpha3, vec3(0.015625, 0.25, 0.0625));
        texColor.rgb = (texColor.rgb - alpha3 * 0.25) * 4.0;
        //texColor.rgb = (texColor.rgb - alpha3 * 0.25) * vec3(4.0,0.0,0.0);
        //texColor.r = (texColor.r - ra * 0.25) * 4.0 + 2;
        //texColor.g = (texColor.g - ga * 0.25) * 2.0 + 2;
        //texColor.b = (texColor.b - ba * 0.25) * 4.0 + 2;
    }

    gl_FragColor = v_fragmentColor * (texColor + COX_ADDCOLOR);
}

