#ifdef GL_ES
precision lowp float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
//uniform sampler2D CC_Texture0;

//uniform float COX_BLUR_H_SIZE = 1.0/512.0;
uniform float COX_BLUR_H_SIZE;

void main()
{
    vec4 sum = vec4(0.0);
 
    // blur in y (vertical)
    // take nine samples, with the distance COX_BLUR_H_SIZE between them
    /*
    sum += texture2D(CC_Texture0, vec2(v_texCoord.x - 4.0*COX_BLUR_H_SIZE, v_texCoord.y)) * 0.05;
    sum += texture2D(CC_Texture0, vec2(v_texCoord.x - 3.0*COX_BLUR_H_SIZE, v_texCoord.y)) * 0.09;
    sum += texture2D(CC_Texture0, vec2(v_texCoord.x - 2.0*COX_BLUR_H_SIZE, v_texCoord.y)) * 0.12;
    sum += texture2D(CC_Texture0, vec2(v_texCoord.x - COX_BLUR_H_SIZE, v_texCoord.y)) * 0.15;
    sum += texture2D(CC_Texture0, vec2(v_texCoord.x, v_texCoord.y)) * 0.16;
    sum += texture2D(CC_Texture0, vec2(v_texCoord.x + COX_BLUR_H_SIZE, v_texCoord.y)) * 0.15;
    sum += texture2D(CC_Texture0, vec2(v_texCoord.x + 2.0*COX_BLUR_H_SIZE, v_texCoord.y)) * 0.12;
    sum += texture2D(CC_Texture0, vec2(v_texCoord.x + 3.0*COX_BLUR_H_SIZE, v_texCoord.y)) * 0.09;
    sum += texture2D(CC_Texture0, vec2(v_texCoord.x + 4.0*COX_BLUR_H_SIZE, v_texCoord.y)) * 0.05;
    */

    sum += texture2D(CC_Texture0, vec2(v_texCoord.x - 4.0*COX_BLUR_H_SIZE, v_texCoord.y));
    sum += texture2D(CC_Texture0, vec2(v_texCoord.x - 3.0*COX_BLUR_H_SIZE, v_texCoord.y));
    sum += texture2D(CC_Texture0, vec2(v_texCoord.x - 2.0*COX_BLUR_H_SIZE, v_texCoord.y));
    sum += texture2D(CC_Texture0, vec2(v_texCoord.x - COX_BLUR_H_SIZE, v_texCoord.y));
    sum += texture2D(CC_Texture0, vec2(v_texCoord.x, v_texCoord.y));
    sum += texture2D(CC_Texture0, vec2(v_texCoord.x + COX_BLUR_H_SIZE, v_texCoord.y));
    sum += texture2D(CC_Texture0, vec2(v_texCoord.x + 2.0*COX_BLUR_H_SIZE, v_texCoord.y));
    sum += texture2D(CC_Texture0, vec2(v_texCoord.x + 3.0*COX_BLUR_H_SIZE, v_texCoord.y));
    sum += texture2D(CC_Texture0, vec2(v_texCoord.x + 4.0*COX_BLUR_H_SIZE, v_texCoord.y));
 
    gl_FragColor = sum / 9.0 * v_fragmentColor;

}

