#ifdef GL_ES
precision lowp float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

void main()
{
	vec4 tmpColor = texture2D(CC_Texture0, v_texCoord) * v_fragmentColor;
	#ifdef COX_RENDER_OPP
	if( v_texCoord.y >= ( 0.6 - ( 0.2 * v_texCoord.x ) ) )
	{
		tmpColor.a = 0.0;
	}
	#else
	if( v_texCoord.y < ( 0.6 - ( 0.2 * v_texCoord.x ) ) )
	{
		tmpColor.a = 0.0;
	}
	#endif
	gl_FragColor = tmpColor;
}
